Issue77

classification
Title Packages build failure with gmp-enabled XEmacs
Type defect Module core code 21.5
Severity inconvenience Platform N/A
Keywords Nosy List
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason superseded
Superseder Packages build failure with gmp-enabled XEmacs
View: 172
  Submitted 2007-11-30.21:12:40
Priority normal   Assigned To

Created on 2008-01-19.04:58:04 by stephen, last changed 2008-01-23.10:14:51 by stephen.

Messages
msg93 [hidden] ([hidden]) Date: 2008-01-19.04:58:04
  Message-ID: <87tzn3o2t3.fsf@uwakimon.sk.tsukuba.ac.jp>
Vin Shelton writes:

 > Initially, I suspected a recursive dependency, but why would that
 > affect only a gmp-enabled build?  A 21.5 XEmacs without gmp can build
 > the packages with no problem.  If anyone has any insight into what's
 > going wrong here, I'm happy to hear their speculation.

My guess is a (very efficient ;-) busted loop that ordinarily uses a
few score billion cycles to wrap around, but with GMP support becomes
an infloop, which also constructs lots and lots of GMP objects.

Try putting a C breakpoint on the GMP number constructor, then lbt to
find out what Lisp code is being executed.

HTH, and damn, I wish I had time to do this myself. :-(

_______________________________________________
XEmacs-Beta mailing list
XEmacs-Beta@xemacs.org
http://calypso.tux.org/cgi-bin/mailman/listinfo/xemacs-beta
History
Date User Action Args
2008-01-23 10:14:51stephensetstatus: new -> closed
priority: normal
reason: superseded
severity: inconvenience
platform: + N/A
type: defect
superseder: + Packages build failure with gmp-enabled XEmacs
module: + core code 21.5
2008-01-19 04:58:04stephencreate